Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007916Dwarf FortressDwarf Mode -- Jobs, Healthcarepublic2014-08-08 15:332019-04-10 12:55
ReporterOverbrook 
Assigned ToFootkerchief 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusconfirmedResolutionopen 
PlatformOSWindowsOS Version8.1
Product Version0.40.06 
Target VersionFixed in Version 
Summary0007916: Diagnosing repeat
DescriptionThe chief medical dwarf keeps diagnosing a dwarf whose ''upper leg is dented'' and there is no treatment.
Steps To Reproduce1. Hurt dwarf
2. Sent him to hospital
3. Watch as chief medical dwarf repeats diagnosis
Additional InformationSaves:
http://dffd.wimbli.com/file.php?id=9329 [^] (0.40.06)
http://dffd.bay12games.com/file.php?id=10080 [^] (0.40.14, 0008554)
http://dffd.bay12games.com/file.php?id=10067 [^] (0.40.15)
http://dffd.bay12games.com/file.php?id=10166 [^] (0.40.19)
http://dffd.bay12games.com/file.php?id=10296 [^] (0.40.21)
http://dffd.bay12games.com/file.php?id=11066 [^] (0.40.24)
http://dffd.bay12games.com/file.php?id=11221 [^] (0.40.24)
TagsNo tags attached.
Attached Files

- Relationships
related to 0004477new Sometimes the diagnosis is repeated many times 
has duplicate 0008554resolvedFootkerchief Injured dwarves constantly get re-diagnosed 
has duplicate 0008597resolvedFootkerchief Bugged patient with looping diagnosis. 
has duplicate 0008853resolvedDwarfu diagnosis spamming 
has duplicate 0009289resolvedDwarfu Patient evaluation loops endlessly 

-  Notes
(0028621)
Footkerchief (manager)
2014-08-08 15:48

Please upload a save that demonstrates the problem to http://dffd.wimbli.com/ [^] and post the link here.
(0028632)
Overbrook (reporter)
2014-08-08 20:36
edited on: 2014-08-08 20:37

Which file am i supposed to post? World.sav?

Edit: after unretiring the fort, the injured dwarf wasn't in the hospital anymore, but a FB I had walled in the caverns ended up in the middle of my fortress.

(0028633)
Footkerchief (manager)
2014-08-08 20:43

Please upload a zip file containing the region folder, e.g. "region1" if that's where your game is.
(0028635)
Overbrook (reporter)
2014-08-08 21:17

http://dffd.wimbli.com/file.php?id=9329 [^]
(0028636)
Overbrook (reporter)
2014-08-08 21:19

If the dwarf who underwent diagnosis several times is still in the fortress, it should be visible in his medical history tab.
(0029012)
Footkerchief (manager)
2014-08-14 05:37

You're not sure if the dwarf is still around? Please verify that the save demonstrates the problem.
(0030977)
PatrikLundell (reporter)
2014-11-14 05:28

I've got what I think is the same problem.
A dwarf in need of councelling went if front of a train and got injured and hauled to the hospital. As per usual, the doctors decided to eat, drink, not performing any job at all, and harvest (which is otherwise only rarely done by adults) before starting to treat the patient, who got infected. They started treatment, with frequent breaks, by diagnosing, cleaning, setting, and putting in traction (I think there was another Diagnosis in there as well, and I may have missed some treatment steps). Eventually the patient was treated and immobilized, with no Diagnosis requirement, but a bit later the Diagnosis requirement showed up again (when due to be released from traction, but not relesed due to infection?). The patient has been under Diagnosis since well before the beginning of the month, and the doctor's diagnosis skill has risen considerably, but it never ends. Now, the mayor is idle waiting for the patient to actually come to the councelling meeting, and the liason is waiting for that to end... I was able to break the waiting to trade with the caravan, though (the trader happened to be elected mayor).

Save uploaded to http://dffd.wimbli.com/file.php?id=10067. [^]

I'm using PyLNP with DF Announcement Filter 1.1, DwarfTherapist, and DFHack Pure Bugfixes+Performance Tweaks. The DF version is 0.40.15, as PyLNP hasn't quite caught up.
(0030987)
PatrikLundell (reporter)
2014-11-14 13:14

Additional info: The accident victim has finally recovered and left the hospital (15 opal), but one of the doctors has become Master diagonstician, while the other is Legendary+5. The dwarf is no longer marked as needing diagnostics on the Health screen.
(0031033)
Footkerchief (manager)
2014-11-17 07:20

0008554: http://dffd.wimbli.com/file.php?id=10080 [^]
(0031089)
latias1290 (reporter)
2014-11-20 07:34
edited on: 2014-11-21 10:26

I have the same problem. The save is above, but that was when the problem was way smaller. The injured soldier is now in traction and has been diagnosed by the same dwarf OVER FOUR THOUSAND TIMES. All those diagnosings have been done by the SAME DWARF who is now LEGENDARY +18 DIAGNOSER. Could someone please increase the priority? This is not only a massive pain in the ass, but it also clutters up the history list, and possibly consumes large amounts of disk space when done for a long time, even though the flags for the history are small. The diagnoser did each evaluation at a rate of 3 JOBS PER SECOND. I also disabled the diagnosing labor on him. The "diagnosis request" status is NOT GOING AWAY.

That's a great way to train diagnosticians, but it just occupies the jobs needed for REAL treatments. Please increase the priority.

(Sorry for the caps everywhere, but I just noticed how severe this problem is in my case and I am quite pissed. If you need the updated save, please ask.)

Edit: The affected dwarf is now fully healed, but still has an infection on two body parts, and still has a "Diagnosis required" tag in his treatment tab.

(0031245)
Goblin Cookie (reporter)
2014-12-02 15:06

I have another save file with the diagnosis loop bug.

http://dffd.wimbli.com/file.php?id=10166 [^]
(0031248)
Larix2 (reporter)
2014-12-03 07:35

Looking at Patrick Lundell's save, i can confirm that the tractioned dwarf was clearly getting over-diagnosed. While constant re-evaluation was always the norm while in traction (presumably to see if the patient is ready for release), six to fifteen diagnoses in a single day feel off.

I'm not too sure about the severity: while one tractioned (infected?) dwarf can occupy a diagnoser full-time, it probably shouldn't disrupt other healthcare efforts too badly if you have more than one diagnoser.
(0031408)
Soadreqm (reporter)
2014-12-21 07:50

I can confirm that this still exists in .40.21. The chief medical dwarf diagnoses a dwarf in traction, starts to walk away, takes one step, and then turns back to diagnose the dwarf again.
I have a save, if another one is needed. I would have uploaded it already, but DFFD is giving me 503 errors.
(0031409)
smjjames (reporter)
2014-12-21 08:02

Upload that one when you can I guess, so that there is a more recent save available.
(0031423)
Soadreqm (reporter)
2014-12-21 15:05

Success.
http://dffd.wimbli.com/file.php?id=10296 [^]
(0032968)
aaron5367 (reporter)
2015-08-18 17:11

Still exists in 0.40.24.
http://dffd.bay12games.com/file.php?id=11066 [^]
(0033128)
ShadwDrgn (reporter)
2015-10-22 16:05

I have this bug too. Versions 0.40.24

Another save file here if it helps:
http://dffd.bay12games.com/file.php?id=11221 [^]
(0033890)
01d55 (reporter)
2015-12-14 14:27

Still exists. Save created v 0.42.02, but injury occured version 0.42.03
http://dffd.bay12games.com/file.php?id=11481 [^]
(0034170)
Mettool (reporter)
2015-12-23 14:38

Also having this problem in 0.42.03. I'm well on my way to have a legendary Diagnoser.
(0034171)
mgotthard (reporter)
2015-12-23 15:09
edited on: 2015-12-23 15:09

I also had this in a 42.03 save game with a traction bench.

Notes etc need updating so it reflects that it *can* be reproduced, and that it affects the current version.

(0034175)
maqertas (reporter)
2015-12-23 23:55
edited on: 2015-12-25 00:18

Had the same, reported in 0009289

(Manager's edit to add save)
http://dffd.bay12games.com/file.php?id=11435 [^]

(0034184)
01d55 (reporter)
2015-12-24 23:10

When googling to find this report again, I turned up this: http://www.bay12games.com/dwarves/mantisbt/view.php?id=4350 [^]

In that report, Toady claims that a diagnosis is required to get a dwarf out of traction once a compound fracture heals, but he "might reduce the frequency." So many diagnoses of an immobilized dwarf, such as what I have in my save, is expected.

For now I'm going to take advantage of my traction victim and train up diagnosis on multiple dwarves.
(0034314)
cpman (reporter)
2016-01-04 13:45

Can confirm on 0.42.04 -- dwarves in traction still get diagnosed like 20 times a day. My doctor walks back and forth to the hospital and does little else.
(0034473)
Button (reporter)
2016-01-19 08:56

It seems, though I'm not 100% sure of this, that the cause of this may be when the diagnosis job is picked up by someone other than the chief medical dwarf. I observed in a recent fort that a injured dwarf was being repeatedly diagnosed by one of my two medidwarves, until he went on break. Then he was diagnosed by the chief medical dwarf, and that diagnosis worked.
(0034827)
Muumeh (reporter)
2016-03-10 22:57

Button, I just got my first dwarf in traction and the chief medical dwarf keeps diagnosing him, so that is not the cause. So far it's only 6 diagnoses, but he keeps walking away and turning back to diagnose again so it looks like he is going to be pretty good at diagnosing very soon at this rate.
(0034840)
martinuzz (reporter)
2016-03-13 14:37

Same thing here. When it started I did not yet have more than one dwarf with diagnosis enabled, so it's not that. It either has to do with being in traction, or with needing a crutch, or a combination of both. It happened to me before, I think in DF2014, and now it happens in 42.06 (world generated in 42.05).
Here's a save. Look for the hospital on zoom F4, or find a dwarf named Agate in the unit list.
http://dffd.bay12games.com/file.php?id=11850 [^]
(0034982)
KingMurdoc (reporter)
2016-04-06 14:29

Confirming 42.06, I currently have a High Master and rising diagnoser because he'll diagnose, walk two steps, then walk back.
(0035001)
Cespinarve (reporter)
2016-04-12 17:13

Don't see a 42.06 file. so here's me tossing mine into the fray. Same problems as everyone above: http://dffd.bay12games.com/file.php?id=11942 [^]
(0035478)
thvaz (reporter)
2016-06-24 11:04

Got a dwarf with no skill in Disgnose to Grand Master thanks to this bug. Still in 0.43.04.
(0035780)
argh226 (reporter)
2016-08-11 07:27

43.03 : Got myself a goblin noble (for some reason...) in the traction bench and went over 2-3 months of being diagnosed without anything to happen.

Removed all my benches he left to eat/drink nothing else was being taking care of. (sutures/clean)

Constructed the benches back, the same thing rehappened with the same goblin. Diagnose looping in the traction bench.
(0035828)
Ratalon (reporter)
2016-08-30 21:00

Can reconfirm in 43.03.
Injury is right hip bone
http://dffd.bay12games.com/file.php?id=12389 [^]

Game loads on Z with the hospital

Doctor is checking multiple times a day, can only walk away at most 6 steps before he is called back to diagnose again.
(0036011)
will_is_okay (reporter)
2016-10-28 08:58

I can confirm as of 43.03 as well that this glitch is still active, but I have a workaround. If deconstruct the traction benches underneath the dwarf needing diagnosis, the job will eventually get done.

While I have no evidence that dwarves have preferred sleeping positions (back, side, etc.) with the level of detail this game goes into, why wouldn't they? I thought, what if the dwarf is laying on the side/body part that needs to be diagnosed and can't be moved because they are immobile? In this case, the diagnoser comes to the dwarf with the diagnosis request, views the parts of the dwarf visible to the diagnoser, sees nothing wrong, completes a diagnosis and leaves. The injured dwarf then generates another diagnosis request since the problem was not actually diagnosed, bringing back the diagnoser. The problematic diagnoses seem to be in specific areas (for me it was left true ribs, left hip, left upper leg) that get fixed together when moving. The ribs were taken care of after the first deconstruct, the hip and leg after the second.
(0037061)
Paralyzoid (reporter)
2017-11-28 00:22
edited on: 2017-11-28 00:25

I can confirm the bug still exists. Using a claystone traction bench.
Deconstructing the traction bench doesn't seem to help, the dwarf hauls himself to a bed and then just sits there and doesn't get diagnosed at all.

Oh, and there's the occasional "Clean" in the middle of diagnosing in the treatment history.

(0037347)
mrmagolor (reporter)
2017-12-17 15:35

This is still present in 0.44.01.
(0037589)
Orkel (reporter)
2018-01-12 00:00
edited on: 2018-01-12 00:01

Present in 0.44.04 - same as Paralyzoid says. Dwarf stuck in traction bench with no medical care planned (just evaluation spam, hundreds of it), and when deconstructing bench he goes to a bed to do nothing.

(0037590)
Orkel (reporter)
2018-01-12 00:08
edited on: 2018-01-12 00:09

Here is the save for my above message: http://dffd.bay12games.com/file.php?id=13405 [^]

Hospital is near the tavern. Cook is in traction bench with an overlapping fracture, being spam-diagnosed. Hope we get this fixed in 0.44.05 - many saves have been posted over the years.

(0037724)
Orkel (reporter)
2018-02-01 05:29
edited on: 2018-02-01 05:34

New dwarf ended up in traction bench - diagnose spam started again. Also just like Paralyzoid says, there will be a random "Clean" job with soap, but then the diagnose spam continues.

Here's the save, this time in 0.44.05: http://dffd.bay12games.com/file.php?id=13473 [^]

Edit: Right after I loaded back ingame, the dwarf healed. Either really bad save timing on my part or the save+load somehow did it.

(0037810)
PatrikLundell (reporter)
2018-02-19 11:01

0.44.05. In my case the elven citizen finally ended up in a traction bench with 4 infections and was subjected to constant diagnose jobs for 2-4 months, after which he finally got up from the traction bench (still infected, of course).
I'm not sure if my playing with military squads had some effect, as I put his squad on training for a month, tried to replace the squad training with another one, but ended up retaining his squad on training. After unpausing he got up. I suspect it's rather a matter of recuperation, so eventually they may heal and get up, cutting the "intense training session" off.

I've got a save where the diagnosis repeat is ongoing, shortly after putting the victim in the traction bench, if that's of interest. Unfortunately, it weight in at just short of 500 MB (zipped, just the region folder), which is above the DFFD limit.
(0037879)
thvaz (reporter)
2018-03-11 15:25

http://dffd.bay12games.com/file.php?id=13555 [^]

This save was for another bug, but there is a dwarf on the hospital in the F2 zoom with this problem. 0.44.06
(0039314)
tool (reporter)
2019-04-10 12:55

Maybe my 44.12 save is helpful: http://dffd.bay12games.com/file.php?id=14330 [^]

- Issue History
Date Modified Username Field Change
2014-08-08 15:33 Overbrook New Issue
2014-08-08 15:48 Footkerchief Note Added: 0028621
2014-08-08 15:48 Footkerchief Assigned To => Footkerchief
2014-08-08 15:48 Footkerchief Status new => needs feedback
2014-08-08 15:52 Footkerchief Relationship added related to 0004477
2014-08-08 20:36 Overbrook Note Added: 0028632
2014-08-08 20:36 Overbrook Status needs feedback => assigned
2014-08-08 20:37 Overbrook Note Edited: 0028632 View Revisions
2014-08-08 20:43 Footkerchief Note Added: 0028633
2014-08-08 21:17 Overbrook Note Added: 0028635
2014-08-08 21:19 Overbrook Note Added: 0028636
2014-08-13 20:46 Overbrook Issue Monitored: Overbrook
2014-08-13 20:46 Overbrook Issue End Monitor: Overbrook
2014-08-14 05:37 Footkerchief Note Added: 0029012
2014-08-14 05:37 Footkerchief Status assigned => needs feedback
2014-11-14 05:28 PatrikLundell Note Added: 0030977
2014-11-14 06:49 Footkerchief Status needs feedback => confirmed
2014-11-14 13:14 PatrikLundell Note Added: 0030987
2014-11-17 07:19 Footkerchief Relationship added has duplicate 0008554
2014-11-17 07:20 Footkerchief Note Added: 0031033
2014-11-20 07:34 latias1290 Note Added: 0031089
2014-11-20 07:34 latias1290 Note Edited: 0031089 View Revisions
2014-11-20 07:35 latias1290 Note Edited: 0031089 View Revisions
2014-11-21 10:26 latias1290 Note Edited: 0031089 View Revisions
2014-12-02 15:06 Goblin Cookie Note Added: 0031245
2014-12-02 21:31 Footkerchief Relationship added has duplicate 0008597
2014-12-03 07:35 Larix2 Note Added: 0031248
2014-12-21 07:50 Soadreqm Note Added: 0031408
2014-12-21 08:02 smjjames Note Added: 0031409
2014-12-21 15:05 Soadreqm Note Added: 0031423
2014-12-22 05:11 Soadreqm Issue Monitored: Soadreqm
2015-03-10 07:02 Dwarfu Relationship added has duplicate 0008853
2015-08-18 17:11 aaron5367 Issue Monitored: aaron5367
2015-08-18 17:11 aaron5367 Note Added: 0032968
2015-10-22 16:05 ShadwDrgn Note Added: 0033128
2015-10-22 18:38 lethosor Additional Information Updated View Revisions
2015-12-14 14:27 01d55 Note Added: 0033890
2015-12-23 14:38 Mettool Note Added: 0034170
2015-12-23 15:06 mgotthard Issue Monitored: mgotthard
2015-12-23 15:09 mgotthard Note Added: 0034171
2015-12-23 15:09 mgotthard Note Edited: 0034171 View Revisions
2015-12-23 21:37 Hedede Issue Monitored: Hedede
2015-12-23 23:55 maqertas Note Added: 0034175
2015-12-24 23:10 01d55 Note Added: 0034184
2015-12-25 00:17 Dwarfu Relationship added has duplicate 0009289
2015-12-25 00:18 Dwarfu Note Edited: 0034175 View Revisions
2016-01-04 13:45 cpman Note Added: 0034314
2016-01-12 13:01 clanl Issue Monitored: clanl
2016-01-19 08:56 Button Note Added: 0034473
2016-03-10 22:57 Muumeh Note Added: 0034827
2016-03-13 14:37 martinuzz Note Added: 0034840
2016-04-06 14:29 KingMurdoc Note Added: 0034982
2016-04-12 17:13 Cespinarve Note Added: 0035001
2016-06-24 11:04 thvaz Note Added: 0035478
2016-08-11 07:27 argh226 Note Added: 0035780
2016-08-30 21:00 Ratalon Note Added: 0035828
2016-10-28 08:58 will_is_okay Note Added: 0036011
2017-11-28 00:22 Paralyzoid Note Added: 0037061
2017-11-28 00:23 Paralyzoid Note Edited: 0037061 View Revisions
2017-11-28 00:25 Paralyzoid Note Edited: 0037061 View Revisions
2017-12-17 15:35 mrmagolor Note Added: 0037347
2018-01-12 00:00 Orkel Note Added: 0037589
2018-01-12 00:01 Orkel Note Edited: 0037589 View Revisions
2018-01-12 00:08 Orkel Note Added: 0037590
2018-01-12 00:08 Orkel Note Edited: 0037590 View Revisions
2018-01-12 00:09 Orkel Note Edited: 0037590 View Revisions
2018-01-12 00:09 Orkel Note Edited: 0037590 View Revisions
2018-02-01 05:29 Orkel Note Added: 0037724
2018-02-01 05:30 Orkel Note Edited: 0037724 View Revisions
2018-02-01 05:34 Orkel Note Edited: 0037724 View Revisions
2018-02-19 11:01 PatrikLundell Note Added: 0037810
2018-03-11 15:25 thvaz Note Added: 0037879
2019-04-10 12:55 tool Note Added: 0039314


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker